# Create

Launch stage: GA

`POST /api/2.1/unity-catalog/providers`

Creates a new authentication provider minimally based on a name and authentication type.
 The caller must be an admin on the metastore.

API scopes: sharing

## Request body

- `name` (string, optional)
  The name of the Provider.
- `authentication_type` (string, optional)
  Possible values: `TOKEN`, `DATABRICKS`, `OIDC_FEDERATION`, `OAUTH_CLIENT_CREDENTIALS`
- `recipient_profile_str` (string, optional)
  This field is required when the __authentication_type__ is **TOKEN**, **OAUTH_CLIENT_CREDENTIALS** or not provided.
- `comment` (string, optional)
  Description about the provider.
- `owner` (string, optional)
  Username of Provider owner.
- `recipient_profile` (object, optional)
  The recipient profile. This field is only present when the authentication_type is `TOKEN` or `OAUTH_CLIENT_CREDENTIALS`.
  - `share_credentials_version` (int32, optional)
    The version number of the recipient's credentials on a share.
  - `endpoint` (string, optional)
    The endpoint for the share to be used by the recipient.
  - `bearer_token` (string, optional)
    The token used to authorize the recipient.
- `created_at` (int64, optional)
  Time at which this Provider was created, in epoch milliseconds.
- `created_by` (string, optional)
  Username of Provider creator.
- `updated_at` (int64, optional)
  Time at which this Provider was created, in epoch milliseconds.
- `updated_by` (string, optional)
  Username of user who last modified Provider.
- `cloud` (string, optional)
  Cloud vendor of the provider's UC metastore. This field is only present when the __authentication_type__ is **DATABRICKS**.
- `region` (string, optional)
  Cloud region of the provider's UC metastore. This field is only present when the __authentication_type__ is **DATABRICKS**.
- `metastore_id` (string, optional)
  UUID of the provider's UC metastore. This field is only present when the __authentication_type__ is **DATABRICKS**.
- `data_provider_global_metastore_id` (string, optional)
  The global UC metastore id of the data provider. This field is only present when the __authentication_type__ is **DATABRICKS**. The identifier is of format __cloud__:__region__:__metastore-uuid__.

## Returns

Returns the ProviderInfo object.

## Response

```json
{
  "name": "string",
  "authentication_type": "string",
  "recipient_profile_str": "string",
  "comment": "string",
  "owner": "string",
  "recipient_profile": {
    "share_credentials_version": 0,
    "endpoint": "string",
    "bearer_token": "string"
  },
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "cloud": "string",
  "region": "string",
  "metastore_id": "string",
  "data_provider_global_metastore_id": "string"
}
```

